ingres_fetch_array
ingres_fetch_row
Ingres II Functions
PHP Manual

# ingres_fetch_object

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres:1.0-1.4.3)

ingres_fetch_object — Fetch a row of result into an object

### Description

object ingres_fetch_object ([ int `$result_type` [, resource `$link` ]] )

This function is similar to ingres_fetch_array(), with one difference - an object is returned, instead of an array. Indirectly, that means that you can only access the data by the field names, and not by their offsets (numbers are illegal property names).

Speed-wise, the function is identical to ingres_fetch_array(), and almost as quick as ingres_fetch_row() (the difference is insignificant).

### Parameters

`result_type`

  The optional argument `result_type` is a constant and can take the following values: INGRES_ASSOC, INGRES_NUM, and INGRES_BOTH.

`link`

  The connection link identifier. If not specified, the last opened link is used.

### Return Values

Returns an object that corresponds to the fetched row, or `FALSE` if there are no more rows.

### Examples

Example #1 ingres_fetch_object() example

`<?php
ingres_connect($database, $user, $password);
ingres_query("select * from table");
while ($row = ingres_fetch_object()) {
echo $row->user_id;
echo $row->fullname;
}
?>`

### See Also

- ingres_query()
- ingres_num_fields()
- ingres_field_name()
- ingres_fetch_array()
- ingres_fetch_row()

ingres_fetch_array
ingres_fetch_row
Ingres II Functions
PHP Manual